Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Dynamic.pidl File Reference

`import "Dynamic_Parameter.pidl";`
`import "StringSeq.pidl";`
`import "Typecode_types.pidl";`

Include dependency graph for Dynamic.pidl:

## Namespaces
namespace | Dynamic
## Typedefs
typedef sequence< Parameter > | ParameterList
typedef CORBA::StringSeq | ContextList
typedef sequence< CORBA::TypeCode > | ExceptionList
typedef CORBA::StringSeq | RequestContext
## Variables
typeprefix Dynamic omg | org

## Detailed Description

Id
  Dynamic.pidl,v 1.17 2005/04/12 08:32:43 jwillemsen Exp

This file was used to generate the code in DynamicC.* The command used to generate code is:

tao_idl -o orig -Ge 1 -GA -Sc -SS -Sci -Wb,export_macro=TAO_Export -Wb,export_include="tao/TAO_Export.h" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Dynamic.pidl

## Typedef Documentation

typedef CORBA::StringSeq Dynamic::ContextList

typedef sequence<CORBA::TypeCode> Dynamic::ExceptionList

typedef sequence<Parameter> Dynamic::ParameterList

typedef CORBA::StringSeq Dynamic::RequestContext

## Variable Documentation

typeprefix Dynamic omg Dynamic::org